.nav-up {
  top: -60px;
  transition: 0.5s all ease;
}

.nav-down {
  transition: 0.5s all ease;
}

.logo a {
  color: #333333;
}

.logo a img {
  max-width: 195px;
  display: table;
  width: 100%;
  padding-top: 2px;
}

nav {
  position: relative;
  margin: 0 auto;
}

#cssmenu,
#cssmenu ul,
#cssmenu ul li,
#cssmenu ul li a,
#cssmenu #head-mobile {
  border: 0;
  list-style: none;
  line-height: 1;
  float: right;
  display: flex;
  position: relative;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box
}

#cssmenu:after,
#cssmenu>ul:after {
  content: ".";
  display: block;
  clear: both;
  visibility: hidden;
  line-height: 0;
  height: 0
}

#cssmenu #head-mobile {
  display: none
}

#cssmenu {
  display: flex;
  width: 100%;
  height: 100%;
}

#cssmenu>ul {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 24px;
}

#cssmenu>ul>li {
  float: left;
  height: 100%;
}

#cssmenu>ul>li>a {
  font-size: 14px;
  line-height: 18px;
  text-decoration: none;
  color: var(--blue-color);
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
}

.active {
  background: #2465aa !important;
  color: var(--white-color);
}

#cssmenu>ul>li a:hover,
#cssmenu ul li a.active:hover,
#cssmenu ul li a.active,
#cssmenu ul li a.has-sub.active:hover {
  color: #146cf1;
  -webkit-transition: background .3s ease;
  -ms-transition: background .3s ease;
  transition: background .3s ease;
}

#cssmenu>ul>li.has-sub>a {
  padding-right: 30px
}

#cssmenu>ul>li.has-sub>a:after {
  position: absolute;
  top: 38px;
  right: 11px;
  width: 8px;
  height: 2px;
  display: block;
  background: var(--blue-color);
  content: '';
  -webkit-transition: all .25s ease;
  -ms-transition: all .25s ease;
  transition: all .25s ease;
  transform: rotate(226deg);
}

.nav-up {
  top: -85px;
  transition: 0.5s all ease;
}

#cssmenu>ul>li.has-sub>a:before {
  position: absolute;
  top: 35px;
  right: 9px;
  display: block;
  width: 2px;
  height: 8px;
  background: var(--blue-color);
  content: '';
  -webkit-transition: all .25s ease;
  -ms-transition: all .25s ease;
  transition: all .25s ease;
  transform: rotate(45deg);
}

#cssmenu>ul>li.has-sub:hover>a:before {
  top: 35px;
  height: 8px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
}

#cssmenu>ul>li.has-sub:hover>a:after {
  transform: rotate(315deg);
}

#cssmenu ul ul {
  position: absolute;
  left: -9999px;
  top: 76px;
  flex-direction: column;
  background: var(--white-color);
  box-shadow: 0px 13px 20px rgba(0, 0, 0, 0.12);
  padding: 16px 20px;
  gap: 8px;
}

#cssmenu ul ul li {
  height: 0;
  -webkit-transition: all .25s ease;
  -ms-transition: all .25s ease;
  transition: all .25s ease;
}

#cssmenu ul ul li:hover {}

#cssmenu li:hover>ul {
  left: auto
}

#cssmenu li:hover>ul>li {
  height: 35px
}

#cssmenu ul ul ul {
  margin-left: 100%;
  top: 0
}

#cssmenu ul ul li a {
  padding: 0;
  width: 250px;
  font-size: 14px;
  line-height: 14px;
  text-decoration: none;
  color: var(--blue-color);
  font-weight: 400;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

#cssmenu ul ul li:last-child>a,
#cssmenu ul ul li.last-item>a {
  border-bottom: 0
}

#cssmenu ul ul li:hover>a,
#cssmenu ul ul li a:hover {
  color: #146cf1;
}

#cssmenu ul ul li.has-sub>a:after {
  position: absolute;
  top: 38px;
  right: 11px;
  width: 8px;
  height: 2px;
  display: block;
  background: var(--blue-color);
  content: '';
  transform: rotate(226deg);
}

#cssmenu ul ul li.has-sub>a:before {
  position: absolute;
  top: 35px;
  right: 9px;
  display: block;
  width: 2px;
  height: 8px;
  background: var(--blue-color);
  content: '';
  -webkit-transition: all .25s ease;
  -ms-transition: all .25s ease;
  transition: all .25s ease;
  transform: rotate(45deg);
}

#cssmenu ul ul>li.has-sub:hover>a:before {
  top: 17px;
  height: 0
}

#cssmenu ul ul li.has-sub:hover,
#cssmenu ul li.has-sub ul li.has-sub ul li:hover {
  background: #146CF0;
}

#cssmenu ul ul ul li.active a {
  border-left: 1px solid #333
}

#cssmenu>ul>li.has-sub>ul>li.active>a,
#cssmenu>ul ul>li.has-sub>ul>li.active>a {
  border-top: 1px solid #333
}

#cssmenu>ul>li::after {
  content: "";
  position: absolute;
  height: 6px;
  width: 100%;
  background: var(--white-color);
  bottom: 0;
}

#cssmenu>ul>li>a.for-employees-nav-link {
  min-width: 130px;
  padding-right: 0;
  justify-content: flex-start;
}

@media screen and (max-width: 768px) {
  body.nav-menu-opened-body{
    height: 100vh;
    overflow: hidden;
  }
  
  nav {
    width: 100%;
  }

  #cssmenu {
    width: 100%;
    margin: 0;
    position: inherit;
  }

  #cssmenu ul {
    width: 100%;
    display: none;
    flex-direction: column;
    gap: 0;
    background: var(--white-color);
    position: absolute;
    left: 0;
    top: 57px;
  }

  #cssmenu ul.open {
    position: absolute;
    left: 0;
    top: 57px;
    z-index: 99;
    box-shadow: 0px 14px 20px rgba(0, 0, 0, 0.12);
    width: 100%;
  }

  #cssmenu ul.open ul {
    position: relative;
    top: 0;
    padding: 0;
    box-shadow: none;
    display: table !important;
    padding-bottom: 10px;
  }

  #cssmenu ul li {
    width: 100%;
    display: table;
  }

  #cssmenu ul li:hover {}

  #cssmenu ul ul li,
  #cssmenu li:hover>ul>li {
    height: auto
  }

  #cssmenu ul li a,
  #cssmenu ul ul li a {
    width: 100%;
    border-bottom: 0;
    padding: 14px;
  }

  #cssmenu>ul>li {
    float: none
  }

  #cssmenu ul ul li a {
    padding-left: 25px
  }

  #cssmenu ul ul li {}

  #cssmenu ul ul li:hover {}

  #cssmenu ul ul ul li a {
    padding-left: 35px
  }

  #cssmenu ul ul li a {
    background: none
  }

  #cssmenu ul ul li:hover>a,
  #cssmenu ul ul li.active>a {
    color: #fff
  }

  #cssmenu ul ul,
  #cssmenu ul ul ul {
    position: relative;
    left: 0;
    width: 100%;
    margin: 0;
    top: 0px;
    text-align: left
  }

  #cssmenu>ul>li.has-sub>a:after,
  #cssmenu>ul>li.has-sub>a:before,
  #cssmenu ul ul>li.has-sub>a:after,
  #cssmenu ul ul>li.has-sub>a:before {
    display: none
  }

  #cssmenu>ul>li>a {
    justify-content: flex-start;
    font-weight: 600;
    padding: 20px 20px 12px;
  }

  #cssmenu #head-mobile {
    padding: 0;
    color: #ddd;
    font-size: 12px;
    font-weight: 700;
    width: 30px;
    display: table;
  }

  .button {
    position: absolute;
    right: 0;
    top: 0;
    cursor: pointer;
    z-index: 12399994;
  }

  .button:after {
    position: absolute;
    top: 28px;
    right: 16px;
    display: block;
    height: 9px;
    width: 24px;
    border-top: 2px solid var(--blue-color);
    border-bottom: 2px solid var(--blue-color);
    content: ''
  }

  .button:before {
    -webkit-transition: all .3s ease;
    -ms-transition: all .3s ease;
    transition: all .3s ease;
    position: absolute;
    top: 21px;
    right: 16px;
    display: block;
    height: 2px;
    width: 24px;
    background: var(--blue-color);
    content: ''
  }

  .button.menu-opened:after {
    -webkit-transition: all .3s ease;
    -ms-transition: all .3s ease;
    transition: all .3s ease;
    top: 28px;
    border: 0;
    height: 2px;
    width: 24px;
    background: var(--blue-color);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg)
  }

  .button.menu-opened:before {
    top: 28px;
    background: var(--blue-color);
    width: 24px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg)
  }

  #cssmenu .submenu-button {
    position: absolute;
    z-index: 99;
    right: 0;
    top: 0;
    display: block;
    height: 46px;
    width: 46px;
    cursor: pointer;
    display: none;
  }

  #cssmenu .submenu-button.submenu-opened {
    display: none;
  }

  #cssmenu ul ul .submenu-button {
    height: 34px;
    width: 34px
  }

  #cssmenu .submenu-button:after {
    position: absolute;
    top: 22px;
    right: 19px;
    width: 8px;
    height: 2px;
    display: block;
    background: var(--blue-color);
    content: ''
  }

  #cssmenu ul ul .submenu-button:after {
    top: 15px;
    right: 13px
  }

  #cssmenu .submenu-button.submenu-opened:after {
    background: #fff
  }

  #cssmenu .submenu-button:before {
    position: absolute;
    top: 19px;
    right: 22px;
    display: block;
    width: 2px;
    height: 8px;
    background: var(--blue-color);
    content: ''
  }

  #cssmenu ul ul .submenu-button:before {
    top: 12px;
    right: 16px
  }

  #cssmenu .submenu-button.submenu-opened:before {
    display: none
  }

  #cssmenu ul ul ul li.active a {
    border-left: none
  }

  #cssmenu>ul>li.has-sub>ul>li.active>a,
  #cssmenu>ul ul>li.has-sub>ul>li.active>a {
    border-top: none
  }

  #cssmenu>ul>li.employer-nav a {
    padding: 18px 20px;
    border-top: 0.5px solid #C6C7CA;
  }
}